Bir blogu kimliğine göre alır. Hemen deneyin veya örneğe göz atın.
Blog özel ise yetkilendirme gereklidir. Blog herkese açıksa bu yöntem yetkilendirme olmadan çağrılabilir.
İstek
HTTP isteği
GET https://www.googleapis.com/blogger/v3/blogs/blogId
Parametreler
| Parametre adı | Değer | Açıklama |
|---|---|---|
| Gerekli parametreler | ||
blogId |
string |
Alınacak blogun kimliği. |
| İsteğe bağlı parametreler | ||
maxPosts |
unsigned integer |
Blogla birlikte alınacak maksimum yayın sayısı. Bu parametre belirtilmediğinde, blog kaynağı kapsamında hiçbir gönderi döndürülmez. |
İstek metni
Bu yöntemle istek gövdesi sağlamayın.
Yanıt
Başarılı olursa bu yöntem, yanıt gövdesinde bir Blogs kaynağı döndürür.
Örnekler
Not: Bu yöntem için kullanıma sunulan kod örnekleri, desteklenen tüm programlama dillerini kapsamaz (Desteklenen dillerin listesi için istemci kitaplıkları sayfasını inceleyin).
Java
Java istemci kitaplığını kullanır.
// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";
// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory(); class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID); // Restrict the result content to just the data we need.blogGetAction.setFields("description,name,posts/totalItems,updated");// This step sends the r
equest to the server.Blog blog = blogGetActio
n.execute(); // Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>
Deneyin.
Bu yöntemi canlı verilerde çağırmak ve yanıtı görmek için aşağıdaki API Gezgini'ni kullanın.